import request from "@/utils/httpRequest";
import { TEST_PATH as prefix } from "@/api/AppPath";

export default {
	save: function (inputForm) {
		return request({
			url: prefix + "/test/manytomany/testCourse/save",
			method: "post",
			data: inputForm,
		});
	},

	delete: function (ids) {
		return request({
			url: prefix + "/test/manytomany/testCourse/delete",
			method: "delete",
			params: { ids: ids },
		});
	},

	queryById: function (id) {
		return request({
			url: prefix + "/test/manytomany/testCourse/queryById",
			method: "get",
			params: { id: id },
		});
	},

	list: function (params) {
		return request({
			url: prefix + "/test/manytomany/testCourse/list",
			method: "get",
			params: params,
		});
	},

	exportTemplate: function () {
		return request({
			url: prefix + "/test/manytomany/testCourse/import/template",
			method: "get",
			responseType: "blob",
		});
	},

	exportExcel: function (params) {
		return request({
			url: prefix + "/test/manytomany/testCourse/export",
			method: "get",
			params: params,
			responseType: "blob",
		});
	},

	importExcel: function (data) {
		return request({
			url: prefix + "/test/manytomany/testCourse/import",
			method: "post",
			data: data,
		});
	},
};
